Subject: Re: bug#9567: `match' bug ?

From: [email-masked] (Ludovic Courtès)
Date: Sat, 15 Oct 2011 16:07:20 +0200

Hi Alex,

Alex Shinn <[email-masked]> skribis:

> On Sun, Sep 25, 2011 at 12:01 AM, Andy Wingo <[email-masked]> wrote:
>>
>> We are getting the following bug in Guile:
>> [...]
>>
>>    > (define a '(1 2))
>>    > (match a ((and (a 2) (1 b)) (+ a b)) (_ #f))
>>    #f
>
> Yes, that's a bug - confirmed in Chibi.  The
> diagnosis is also correct.  I've applied the
> patch and updated the synthcode match.scm
> and the Chibi repo.

I’m trying to update Guile’s copy from Chibi but changeset
876:528cdab3f818 in the default branch doesn’t seem to contain the fix.

What am I missing?

Thanks,
Ludo’.